﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using System.ComponentModel.DataAnnotations;

namespace YTManager.Models {
    public class Channel {
        // Uniquie ID for this media type
        [Key]
        public long ChannelId { get; set; }

        // Title of the media
        [Required]
        public string Title { get; set; }

        // Short description of the media
        [Required]
        public string Description { get; set; }

        // Thumbnail link
        [Required]
        public string ThumbnailURL { get; set; }

        // Youtube Channel ID
        [Required]
        public string YTChannelID { get; set; }

        // Videos this channel has.
        public List<Video> Videos { get; set; }
    }
}
